package mhp.oee.po.gen;

import java.util.Date;

public class ActivityParamPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_param.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_param.ACTIVITY_BO
     *
     * @mbggenerated
     */
    private String activityBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_param.PARAM_ID
     *
     * @mbggenerated
     */
    private String paramId;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_param.PARAM_DEFAULT_VALUE
     *
     * @mbggenerated
     */
    private String paramDefaultValue;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_param.PARAM_DESCRIPTION
     *
     * @mbggenerated
     */
    private String paramDescription;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_param.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_param.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_param.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_param.HANDLE
     *
     * @return the value of activity_param.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_param.HANDLE
     *
     * @param handle the value for activity_param.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_param.ACTIVITY_BO
     *
     * @return the value of activity_param.ACTIVITY_BO
     *
     * @mbggenerated
     */
    public String getActivityBo() {
        return activityBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_param.ACTIVITY_BO
     *
     * @param activityBo the value for activity_param.ACTIVITY_BO
     *
     * @mbggenerated
     */
    public void setActivityBo(String activityBo) {
        this.activityBo = activityBo == null ? null : activityBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_param.PARAM_ID
     *
     * @return the value of activity_param.PARAM_ID
     *
     * @mbggenerated
     */
    public String getParamId() {
        return paramId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_param.PARAM_ID
     *
     * @param paramId the value for activity_param.PARAM_ID
     *
     * @mbggenerated
     */
    public void setParamId(String paramId) {
        this.paramId = paramId == null ? null : paramId.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_param.PARAM_DEFAULT_VALUE
     *
     * @return the value of activity_param.PARAM_DEFAULT_VALUE
     *
     * @mbggenerated
     */
    public String getParamDefaultValue() {
        return paramDefaultValue;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_param.PARAM_DEFAULT_VALUE
     *
     * @param paramDefaultValue the value for activity_param.PARAM_DEFAULT_VALUE
     *
     * @mbggenerated
     */
    public void setParamDefaultValue(String paramDefaultValue) {
        this.paramDefaultValue = paramDefaultValue == null ? null : paramDefaultValue.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_param.PARAM_DESCRIPTION
     *
     * @return the value of activity_param.PARAM_DESCRIPTION
     *
     * @mbggenerated
     */
    public String getParamDescription() {
        return paramDescription;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_param.PARAM_DESCRIPTION
     *
     * @param paramDescription the value for activity_param.PARAM_DESCRIPTION
     *
     * @mbggenerated
     */
    public void setParamDescription(String paramDescription) {
        this.paramDescription = paramDescription == null ? null : paramDescription.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_param.CREATED_DATE_TIME
     *
     * @return the value of activity_param.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_param.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for activity_param.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_param.MODIFIED_DATE_TIME
     *
     * @return the value of activity_param.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_param.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for activity_param.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_param.MODIFIED_USER
     *
     * @return the value of activity_param.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_param.MODIFIED_USER
     *
     * @param modifiedUser the value for activity_param.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}